Subject: bug#6442: About the modifier of -k option in sort

From: Peng Yu <[email-masked]>
Date: Thu, 17 Jun 2010 16:11:29 -0500

2010/6/17 Pádraig Brady <[email-masked]>:
> On 17/06/10 03:07, Peng Yu wrote:
>> Hello,
>>
>> The modifiers of -k are discussed in the examples in 'info sort'
>> rather than in the main entry of "-k". I feel that this be improved by
>> clearly describe each modifier under the main entry of "-k". It is not
>> very clear to how many modifiers there are.
>>
>
> The sort --help (man) output has been improved lately,
> to group the ordering options, and these are referenced in
> the detailed description of POS
> You are looking at the latest version right?
> Would the following be enough to highlight the info you might have missed?
>
> --- a/src/sort.c
> +++ b/src/sort.c
> @@ -386,7 +386,7 @@ Other options:\n\
>  "), stdout);
>       fputs (_("\
>   -k, --key=POS1[,POS2]     start a key at POS1 (origin 1), end it at POS2\n\
> -                            (default end of line)\n\
> +                            (default end of line).  See POS syntax below\n\
>   -m, --merge               merge already sorted files; do not sort\n\
>  "), stdout);
>       fputs (_("\

Is it in the latest version? If yes, I'll install it.
coreutils-8.5.tar.xz.sig         23-Apr-2010 12:42  836

BTW, how to figure out what version of my coreutils is? I 'man sort',
it shows the following at the bottom of that page. I don't understand
7.4 is of date March 2010, it should be May 2009 according to
http://ftp.gnu.org/gnu/coreutils/, right?

GNU coreutils 7.4                 March 2010                           SORT(1)

-- 
Regards,
Peng